package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedNationwide;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *   满意度-全国业务处理接口
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
public interface SatisfiedNationwideService{


    Result queryPageList(SatisfiedNationwide satisfiedNationwide,int page,int size,AccessToken accessToken);

    List<RegionListVO> getRegionDate(AccessToken accessToken);

    Result edit(SatisfiedNationwide satisfiedNationwide, AccessToken accessToken);

    List<ProjectListVO> getPojDate(AccessToken accessToken, String organCode);

    Result getrevenue(AccessToken accessToken, HttpServletRequest request) throws IOException;

    Result excelToxls(HttpServletRequest request, HttpServletResponse response, MultipartFile multipartFile, String fileName, String usname, String userCode, AccessToken accessToken) throws IOException;

    Result del(String id, AccessToken accessToken);
}
